<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ManTrigger Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d05/class_man_trigger.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ManTrigger Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d1/d4b/class_trigger.html" title="Scripted Trigger.">Trigger</a> only accepting <a class="el" href="../../d8/d83/class_object.html">Object</a> which <a class="el" href="../../dd/d93/_object_8c.html#aeafcc442384592e66a995e3343dbaa5a" title="Returns if this entity is Man.">IsMan()</a>  
 <a href="../../d7/d05/class_man_trigger.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ManTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d05/class_man_trigger.png" usemap="#ManTrigger_map" alt=""/>
  <map id="ManTrigger_map" name="ManTrigger_map">
<area href="../../d1/d4b/class_trigger.html" title="Scripted Trigger." alt="Trigger" shape="rect" coords="0,0,145,24"/>
<area href="../../df/dd2/class_construction_box_trigger.html" alt="ConstructionBoxTrigger" shape="rect" coords="0,112,145,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6d70af79ac725b1e247b9a99ed59e073"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/class_man_trigger.html#a6d70af79ac725b1e247b9a99ed59e073">EOnInit</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> extra)</td></tr>
<tr class="separator:a6d70af79ac725b1e247b9a99ed59e073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed8d14ddc3f09000417fb489d8db8aa7"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d05/class_man_trigger.html#aed8d14ddc3f09000417fb489d8db8aa7">CanAddObjectAsInsider</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:aed8d14ddc3f09000417fb489d8db8aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d1/d4b/class_trigger.html" title="Scripted Trigger.">Trigger</a> only accepting <a class="el" href="../../d8/d83/class_object.html">Object</a> which <a class="el" href="../../dd/d93/_object_8c.html#aeafcc442384592e66a995e3343dbaa5a" title="Returns if this entity is Man.">IsMan()</a> </p>

<p class="definition">Definition at line <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html">ManTrigger.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aed8d14ddc3f09000417fb489d8db8aa7" name="aed8d14ddc3f09000417fb489d8db8aa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed8d14ddc3f09000417fb489d8db8aa7">&#9670;&#160;</a></span>CanAddObjectAsInsider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ManTrigger::CanAddObjectAsInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html#l00009">9</a> of file <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html">ManTrigger.c</a>.</p>

</div>
</div>
<a id="a6d70af79ac725b1e247b9a99ed59e073" name="a6d70af79ac725b1e247b9a99ed59e073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d70af79ac725b1e247b9a99ed59e073">&#9670;&#160;</a></span>EOnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ManTrigger::EOnInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>extra</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html#l00004">4</a> of file <a class="el" href="../../d1/dd0/_man_trigger_8c_source.html">ManTrigger.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ScriptedEntities/Triggers/<a class="el" href="../../d1/dd0/_man_trigger_8c_source.html">ManTrigger.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d05/class_man_trigger.html">ManTrigger</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
